[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.NotifyIdleHandler

Signals all idle handlers for the application.

## Declaration

Source position: forms.pp line 1573

`protected procedure TApplication.NotifyIdleHandler(`
`var Done: Boolean`
`);`

## Arguments

`Done` |  | True when all handlers are done, meaning: wait for the next message.

## Description

NotifyIdleHandler is a method used to signal event handlers using the ahtIdle application handler type.

The internal array of handlers is checked for a TMethodList which uses the application handler type. If it exists, each of the methods in the list are signalled, in reverse order, using the value in Done as a control flag. While Done is True, the handlers are continuously called in the loop. If any handler in the list sets Done to False, the method is exited.

NotifyIdleHandler is called from the Idle method. It occurs after the ReleaseComponents and ProcessAsyncCallQueue methods have been called. It is also called after the OnIdle event handler in the TApplication has been signalled (when assigned) and when the Done argument to the event handler is True.

## See also

TApplication.OnIdle |  | Event handler signalled when the application enters the idle state.
TApplication.Idle |  | Called when the application enters the idle state.
TApplicationHandlerType |  | Types of Application notification handlers.